package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 授信结论
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
@TableName("credit_conclusion")
public class CreditConclusion {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 授信决议id
     */
    @TableField("credit_resolution_id")
    private Long creditResolutionId;

    /**
     * 条件内容
     */
    @TableField("content")
    private String content;
    @TableField(exist = false)
    private String fx;

    public String getFx() {
        return fx;
    }

    public void setFx(String fx) {
        this.fx = fx;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreditResolutionId() {
        return creditResolutionId;
    }

    public void setCreditResolutionId(Long creditResolutionId) {
        this.creditResolutionId = creditResolutionId;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "CreditOnclusion{" +
            "creditResolutionId=" + creditResolutionId +
            ", content=" + content +
        "}";
    }
}
